<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<style>
body {
    margin: 0;
    background-color: #394ead;
    color: #dddddd;
    text-align: center;
  }
h1{
  position: absolute;
  left:300px;
  top: 60px;
  }
svg{
  position: absolute;
  left:200px;
  top: 150px;
  border: 1px solid #DED8BF;
  background-color: #f4f4d9;
  width:  600px;
  height: 1000px;
}
.signals{
  position: absolute;
  left:0px;
  top: 200px;
  width:  150px;
  height: 500px;
}
.inandout{
  position: absolute;
  left:250px;
  top: 200px;
  width:  800px;
  height: 700px;
}
.audio{
  position: absolute;
  left:840px;
  top: 220px;
  width:  800px;
  height: 700px;
}

canvas {
    display: block;
    border: 1px solid black;
  }
.replaceButton{  
  width:  140px;
  height: 55px;
}
.emptyStub {
    margin-top: 10px;
    padding: 1em 2em;
    width: 200px;
    font-size: 15px;
  }
button {
    margin-top: 10px;
    padding: 1em 2em;
    font-size: 15px;
    width:  140px;
    height: 55px;
  }
.toolctrl {
    position: absolute;    
    left: 30px;                
    width:  910px;
    height: 50px;
  }
.toolbutton {    
    font-size: 15px;
    width:  300px;
    height: 50px;
  }
</style>
</head>
<body>
  <h1>Stimulations and Data Aquisitions</h1>  
  <div class="toolctrl">
    <button class="toolbutton" id="xml"   type="button" >READ XML IF FILES</button>
    <button class="toolbutton" id="if"    type="button" >CREATE INTERFACES</button>
    <button class="toolbutton" id="const" type="button" >READ NUMERIC CONSTANTS</button>
  </div>
  
  <script type="text/javascript", src="node_modules/d3/dist/d3.min.js"></script>
  <script type="text/javascript", src="node_modules/d3-scale-chromatic/dist/d3-scale-chromatic.min.js"></script>
  <script type="text/javascript", src="node_modules/socket.io/client-dist/socket.io.js"></script>
  <script type="text/javascript", src="/node_modules/oscilloscope/dist/oscilloscope.min.js"></script>  
  <script type="module", src="Script/createSimulationView.js"></script>
  <script type="module", src="Script/audio-element.js"></script>
  <script type="module">
    import {startFileExample} from "./Script/audio-element.js";
    import {createSimulationView} from "./Script/createSimulationView.js";

    var socket = io();

    socket.on('time', function(timeString) { console.log(timeString) });

    createSimulationView(socket,startFileExample,Oscilloscope);
  </script>
</body>
</html>
